import request from '@/utils/request'
// 小区下拉框
export function getAreaList() {
  return request({
    url: '/gas/area/getArea',
    method: 'get',
  })
}
// 查询小区列表
export function listArea(query) {
  return request({
    url: '/gas/area/getList',
    method: 'get',
    params: query
  })
}

// 查询小区详细
export function getArea(id) {
  return request({
    url: '/gas/area/' + id,
    method: 'get'
  })
}

// 新增小区
export function addArea(data) {
  return request({
    url: '/gas/area',
    method: 'post',
    data: data
  })
}

// 修改小区
export function updateArea(data) {
  return request({
    url: '/gas/area',
    method: 'put',
    data: data
  })
}

// 删除小区
export function delArea(id) {
  return request({
    url: '/gas/area/' + id,
    method: 'delete'
  })
}


// 下载
export function areaUpload() {
  return request({
    url: '/obs/upload',
    method: 'post',
  })
}
//释放
export function releaseIs(id) {
  return request({
    url: '/gas/area/releaseIs?id=' + id,
    method: 'get',
  })
}
// 工号验证
export function getForName(value,id) {
  return request({
    url: '/gas/area/getForName?name='+value+'&id='+id,
    method: 'get',
  })
}

// 小区导入滚动条监控接口
export function flushProgress() {
  return request({
    url: '/gas/area/flushProgress',
    method: 'get',
  })
}
// 小区导入滚动条停止监控接口
export function clearFlushProgress() {
  return request({
    url: '/gas/area/clearFlushProgress',
    method: 'get',
  })
}
