import request from '@/utils/request'

// 查询楼宇列表
export function listBuilding(query) {
  return request({
    url: '/gas/building/getList',
    method: 'get',
    params: query
  })
}

// 查询楼宇详细
export function getBuilding(id) {
  return request({
    url: '/gas/building/' + id,
    method: 'get'
  })
}

// 新增楼宇
export function addBuilding(data) {
  return request({
    url: '/gas/building',
    method: 'post',
    data: data
  })
}

// 修改楼宇
export function updateBuilding(data) {
  return request({
    url: '/gas/building',
    method: 'put',
    data: data
  })
}

// 删除楼宇
export function delBuilding(id) {
  return request({
    url: '/gas/building/' + id,
    method: 'delete'
  })
}
// 小区下拉框
export function getArea() {
  return request({
    url: '/gas/area/getArea',
    method: 'get',
  })
}
