import request from '@/utils/request'

// 查询房屋列表
export function listHouse(query) {
  return request({
    url: '/gas/house/getList',
    method: 'get',
    params: query
  })
}

// 查询房屋详细
export function getHouse(id) {
  return request({
    url: '/gas/house/' + id,
    method: 'get'
  })
}

// 新增房屋
export function addHouse(data) {
  return request({
    url: '/gas/house',
    method: 'post',
    data: data
  })
}

// 修改房屋
export function updateHouse(data) {
  return request({
    url: '/gas/house',
    method: 'put',
    data: data
  })
}

// 删除房屋
export function delHouse(id) {
  return request({
    url: '/gas/house/' + id,
    method: 'delete'
  })
}
// 小区下拉框
export function getArea() {
  return request({
    url: '/gas/area/getArea',
    method: 'get',
  })
}
// 楼宇下拉框
export function getBuilding(areaId) {
  return request({
    url: '/gas/building/getBuilding?areaId='+ areaId,
    method: 'get',

  })
}
// 单元下拉框
export function getUnit(buildingId) {
  return request({
    url: '/gas/unit/getUnit?buildingId='+ buildingId,
    method: 'get',
  })
}
