import request from '@/utils/request'

// 查询工程管理列表
export function listOrder(query) {
  return request({
    url: '/gas/order/getListAll',
    method: 'get',
    params: query
  })
}

// 查询工程管理详细
export function getOrder(id) {
  return request({
    url: '/gas/order/' + id,
    method: 'get'
  })
}

// 新增工程管理
export function addOrder(data) {
  return request({
    url: '/gas/order',
    method: 'post',
    data: data
  })
}

// 批量合格
export function submitY(id,reason, versions) {
  return request({
    url: '/gas/order/submitY?ids=' + id+'&reason='+reason+'&versions='+versions,
    method: 'get',
  })
}
// 批量不合格
export function submitN(id,reason, versions) {
  return request({
    url: '/gas/order/submitN?ids=' + id+'&reason='+reason+'&versions='+versions,
    method: 'get',
  })
}
// 修改工程管理
export function updateOrder(data) {
  return request({
    url: '/gas/order',
    method: 'put',
    data: data
  })
}
// 删除工程管理
export function delOrder(id) {
  return request({
    url: '/gas/order/' + id,
    method: 'delete'
  })
}
// 职工下拉框
export function getWorker() {
  return request({
    url: '/gas/user/getWorker',
    method: 'get',
  })
}
// 管子长度
export function getPipeLength() {
  return request({
    url: '/gas/pipeLength/getList',
    method: 'get',
  })
}
// 管子类型
export function getPipeType() {
  return request({
    url: '/gas/pipeType/getList',
    method: 'get',
  })
}
// 管子类型
export function getValveType() {
  return request({
    url: '/gas/valve/getList',
    method: 'get',
  })
}
// 小区下拉框
export function getArea() {
  return request({
    url: '/gas/area/getArea',
    method: 'get',
  })
}
// 楼宇下拉框
export function getBuilding(areaId) {
  return request({
    url: '/gas/building/getBuilding?areaId='+ areaId,
    method: 'get',

  })
}
// 单元下拉框
export function getUnit(buildingId) {
  return request({
    url: '/gas/unit/getUnit?buildingId='+ buildingId,
    method: 'get',
  })
}
// 房屋下拉框
export function getHouse(unitId) {
  return request({
    url: '/gas/house/getHouse?unitId='+ unitId,
    method: 'get',
  })
}
// 查询工程审核列表
export function getListExamine(query) {
  return request({
    url: '/gas/order/getListExamine',
    method: 'get',
    params: query
  })
}

export function getOrderForStatus(value,id) {
  return request({
    url: '/gas/order/getOrderForStatus?houseId='+value+'&id='+id,
    method: 'get',
  })
}
// 统计图点击跳转列表
export function getListByStatus(query) {
  return request({
    url: '/gas/order/getListByStatus',
    method: 'get',
    params: query
  })
}
// 批量合格
export function backup() {
  return request({
    url: '/gas/order/backup',
    method: 'get',
  })
}
//安检列表
export function getListAnJian(query) {
  return request({
    url: '/gas/order/getListAnJian',
    method: 'get',
    params: query
  })
}
//维修列表
export function getListWeiXiu(query) {
  return request({
    url: '/gas/order/getListWeiXiu',
    method: 'get',
    params: query
  })
}
//开栓列表
export function getListKaiShuan(query) {
  return request({
    url: '/gas/order/getListKaiShuan',
    method: 'get',
    params: query
  })
}
